<?php

namespace Modules\Evaluation\Rules;

use Helpers\Outil\Roles;
use Psr\Http\Message\ServerRequestInterface;

class ImportBibliotheque
{
    protected ServerRequestInterface $request;
    protected \PDO $pdo;
    protected Main $main;

    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request    = $request;
        $this->pdo        = $pdo;
        $this->main       = new Main($this->request, $this->pdo);
    }


    /**
     * @return bool
     */
    public function listeImportModele(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function importModele(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function treeviewBibliotheque(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxDetailTheme(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxAjout(): bool
    {
        return true;
    }
}
